<View::Base::SourceRecord
  class="use-highlights page-col-feature-attributes"
  @isEditor={{@isEditor}}
  @path={{@path}}
  @model={{@model}}
  @value={{@value}}
  @onLoad={{this.loaded}}
  data-preferred-model="feature"
  ...attributes
>
  {{#each this.attributes as |group|}}
    {{#unless group.isEmpty}}
        {{#if group.isTable}}
          {{#each group.attributes as |row index|}}
            <Browse::Attributes
              @index={{index}}
              @icon={{group.icon.image.value}}
              @header={{group.displayName}}
              @value={{row}}
              @deviceSize={{@deviceSize}}
              @isEditor={{@isEditor}}
              @path={{@path}}
              @model={{@model}}
              @col={{@value}}
            />
          {{/each}}
        {{else}}
          <Browse::Attributes
            @icon={{group.icon.image.value}}
            @header={{group.displayName}}
            @value={{group.attributes}}
            @deviceSize={{@deviceSize}}
            @isEditor={{@isEditor}}
            @path={{@path}}
            @model={{@model}}
            @col={{@value}}
          />
        {{/if}}
    {{/unless}}
  {{/each}}
</View::Base::SourceRecord>